Skip to main content
GET
/
v1
/
deadlines
Retrieve Deadlines
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/deadlines \
  --header 'X-Organization-id: <x-organization-id>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "type": "<string>",
      "frequency": "<string>",
      "dueDate": "<string>",
      "color": "<string>",
      "notifyDaysBefore": 123,
      "monthsOfYear": [
        123
      ],
      "templateId": "<string>",
      "templateName": "<string>",
      "status": "<string>",
      "active": true,
      "deliveredAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "page": 123,
  "limit": 123,
  "total": 123
}

Headers

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

X-Organization-id
string
required

The unique identifier of the Organization associated with the request.

Query Parameters

status
enum<string>

Filter deadlines by status. Allowed values: pending, overdue, delivered.

Available options:
pending,
overdue,
delivered
limit
integer
default:10

Number of records returned per page. Must be an integer greater than or equal to 1.

page
integer
default:1

Page number to be returned. Must be an integer greater than or equal to 1.

Response

The list of deadlines in the system.

items
object[]

List of deadlines returned for the current page.

page
integer

Number of the page returned.

limit
integer

Maximum number of records returned per page.

total
integer

Number of records returned on the current page.